
#include "stdafx.h"
#include "VideoPlayer.h"

VideoFrame::VideoFrame()
{
	PixelFormat = UByteRGBA32;

	Lock = gcnew SemaphoreSlim(1,1);
}

VideoFrame::VideoFrame(int width, int height)
{
	PixelFormat = UByteRGBA32;

	BufferStride = GetBytesPerPixel(PixelFormat) * width;
	BufferLength = BufferStride * height;
	Buffer = *(gcnew IntPtr(0));

	DestinationRegion = gcnew Region( 0, 0, width, height );

	Lock = gcnew SemaphoreSlim(1,1);
}

VideoFrame::~VideoFrame()
{
		
}
